#!/bin/bash


WPA_CLI_BIN="/usr/sbin/wpa_cli"
WAH_SCRIPT="/usr/sbin/wpa-action-handler"
WAH_NAME="wpa-action-handler"
WAH_PIDFILE="/var/run/wpa-action-handler.$IFACE.pid"
WAH_OPTIONS="-B -a $WAH_SCRIPT -i $IFACE -P $WAH_PIDFILE"


if [[ ! -s $IF_WPA_CONF ]]; then
    exit 0
fi

if [[ ! -x $WPA_CLI_BIN ]] || [[ ! -x $WAH_SCRIPT ]]; then
    exit 1
fi

if [[ $MODE == "start" ]]; then
    start-stop-daemon --start --quiet \
        --name $WAH_NAME --startas $WPA_CLI_BIN --pidfile $WAH_PIDFILE \
        -- $WAH_OPTIONS
elif [[ $MODE == "stop" ]] && [[ -f $WAH_PIDFILE ]]; then
    start-stop-daemon --stop --quiet \
        --name $WAH_NAME --pidfile $WAH_PIDFILE

    rm -f "$WAH_PIDFILE"
fi

exit 0
